Skip to navigation

API · Projects · Update a project

View as Markdown

Partially update a project. Use this to persist campaign lifecycle, configuration, research, approvals, and rolling outlook state. When changing data, first read the project and send the complete merged data object so unrelated state is retained.

Authentication

AuthorizationApi-Key

Header authentication of the form Api-Key <token>

OR
AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

resourcetypestringRequired
Project type selector
idstringRequired

Project ID (UUID or integer depending on type)

Request

This endpoint expects an object.
titlestringOptional
Updated project title
descriptionstringOptional
Updated project description
primary_typestringOptional

Updated free-form project category

datamap from strings to anyOptional
Complete flexible JSON data object for the project

Response

Project updated

Errors

400
Bad Request Error
401
Unauthorized Error
404
Not Found Error